package org.implab.gradle.variants.sources.internal;

import org.gradle.api.Action;
import org.implab.gradle.common.sources.GenericSourceSet;
import org.implab.gradle.variants.core.Layer;
import org.implab.gradle.variants.sources.CompileUnit;

public interface LayerConfigurationRegistry {

    void addLayerAction(Layer layer, Action<? super GenericSourceSet> action);

    void applyLayer(Layer layer, GenericSourceSet sourceSet);

    void applyUnit(CompileUnit unit, GenericSourceSet sourceSet);
}
